package com.tourism.common.additional.utils;

import com.tourism.common.additional.model.FileUrlObject;
import org.springframework.util.CollectionUtils;

import java.util.ArrayList;
import java.util.List;

public class UrlConvertUtils {

    public static List<String> urlConvert(String hostIpPort,String id,String url,String filedName){
        ArrayList<String> arrayList = new ArrayList<>();
        if (StringUtils.isNotEmpty(url)) {
            List<FileUrlObject> fileUrlObjectList = JsonUtils.parseFileUrlArray(url, FileUrlObject.class);
            if (!CollectionUtils.isEmpty(fileUrlObjectList)) {
                //遍历每个元素的数组对象,对元素的url对象进行拼接
                for (FileUrlObject y : fileUrlObjectList) {
                    String hotPictureUrlsAfterConvert =
                            hostIpPort + y.getDownloadUri() + "?id=" + id + "&fieldName="+filedName+"&asImage=true&filename=" + y.getFilename();
                    arrayList.add(hotPictureUrlsAfterConvert);
                }
            }
        }
        return arrayList;
    }
}
