package com.tourism.common.flow.model.constant;

/**
 * 超时任务作业状态。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public final class FlowTaskTimeoutJobStatus {

    /**
     * 未执行。
     */
    public static final int NO_EXEC = 0;
    /**
     * 执行成功。
     */
    public static final int SUCCESS = 1;
    /**
     * 执行失败。
     */
    public static final int FAIL = 2;

    /**
     * 私有构造函数，明确标识该常量类的作用。
     */
    private FlowTaskTimeoutJobStatus() {
    }
}
