package com.tourism.common.report.object.view;

import lombok.Data;

/**
 * ViewLine对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
public class ViewLine {

    /**
     * 线宽。
     */
    private Integer width;

    /**
     * 折点样式（圆形、方形、三角形、菱形）。
     */
    private Integer shape;

    /**
     * 折点大小。
     */
    private Integer pointSize;

    /**
     * 平滑折线。
     */
    private Boolean smooth;
}
