package com.tourism.webadmin.app.website.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 门户网站中游记的二维菜单城市对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "TourTravelNotesDirectoryCountryVo视图对象")
@Data
public class TourTravelNotesDirectoryCountryVo {

    /**
     * 国家id。
     */
    @Schema(description = "国家id")
    private String countryId;

    /**
     * 国家名称。
     */
    @Schema(description = "国家名称")
    private String countryName;

}
