package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 用户游记点赞表VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "TourUserLikeTravelNotesVO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourUserLikeTravelNotesVo extends BaseVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private Long id;

    /**
     * 用户id。
     */
    @Schema(description = "用户id")
    private Long userId;

    /**
     * 游记id。
     */
    @Schema(description = "游记id")
    private Long travelNotesId;
}
