package com.tourism.common.flow.constant;

/**
 * 工作流任务类型。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public final class FlowTaskType {

    /**
     * 其他类型任务。
     */
    public static final int OTHER_TYPE = 0;
    /**
     * 用户任务。
     */
    public static final int USER_TYPE = 1;

    /**
     * 私有构造函数，明确标识该常量类的作用。
     */
    private FlowTaskType() {
    }
}
