package com.tourism.common.report.model.constant;

/**
 * 日期字段显示格式。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public final class DateShowFormat {

    /**
     * 英文。
     */
    public static final int NUM = 0;
    /**
     * 中文。
     */
    public static final int CN = 1;
    /**
     * 私有构造函数，明确标识该常量类的作用。
     */
    private DateShowFormat() {
    }
}
