package com.tourism.common.report.object.view;

import com.tourism.common.report.object.ReportFilterParam;
import lombok.Data;

import java.util.List;

/**
 * 视图显示的指标数据对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
public class ViewIndexData {

    /**
     * 列Id。
     */
    private Long columnId;

    /**
     * 计算方式。
     */
    private Integer calculateType;

    /**
     * 应用名称。
     */
    private String showName;

    /**
     * 排序类型。
     */
    private Integer orderType;

    /**
     * 指标过滤参数。用于Having从句。
     */
    private List<ReportFilterParam> filterParams;
}
